ru.bitel.bgbilling.modules.voice.api.common.event

## Class VoiceDeviceTypeModifiedEvent

- java.lang.Object
- - ru.bitel.bgbilling.kernel.event.Event
  - - ru.bitel.bgbilling.kernel.directory.api.common.DirectoryItemModifiedEvent<VoiceDeviceType>
    - - ru.bitel.bgbilling.modules.voice.api.common.event.VoiceDeviceTypeModifiedEvent

- All Implemented Interfaces:
    java.io.Serializable

      public class VoiceDeviceTypeModifiedEvent
      extends ru.bitel.bgbilling.kernel.directory.api.common.DirectoryItemModifiedEvent<VoiceDeviceType>

  Событие изменения типа устройства в справочнике.
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class ru.bitel.bgbilling.kernel.directory.api.common.DirectoryItemModifiedEvent

      `newItem, oldItem`

    - ### Fields inherited from class ru.bitel.bgbilling.kernel.event.Event

      `CONTRACT_GLOBAL, NO_MODULE, NO_PLUGIN`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `VoiceDeviceTypeModifiedEvent()`
    `VoiceDeviceTypeModifiedEvent(int moduleId, int userId, VoiceDeviceType oldDevice, VoiceDeviceType newDevice)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `VoiceDeviceType` | `getNewVoiceDeviceType()`
    `VoiceDeviceType` | `getOldVoiceDeviceType()`

    - ### Methods inherited from class ru.bitel.bgbilling.kernel.directory.api.common.DirectoryItemModifiedEvent

      `getNewItem, getOldItem`

    - ### Methods inherited from class ru.bitel.bgbilling.kernel.event.Event

      `getContractId, getContractID, getDestination, getGenerateTime, getModuleId, getModuleID, getPluginId, getSuperContractId, getTime, getTimestamp, getTypeId, getUserId, isLogFunctionProcess, prepareMessage, serializeAsObject, setLogFunctionProcess, toString, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### VoiceDeviceTypeModifiedEvent

          public VoiceDeviceTypeModifiedEvent()

    - #### VoiceDeviceTypeModifiedEvent

          public VoiceDeviceTypeModifiedEvent(int moduleId,
                                              int userId,
                                              VoiceDeviceType oldDevice,
                                              VoiceDeviceType newDevice)

  - ### Method Detail

    - #### getOldVoiceDeviceType

          public VoiceDeviceType getOldVoiceDeviceType()

    - #### getNewVoiceDeviceType

          public VoiceDeviceType getNewVoiceDeviceType()